<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="ro">
<head>
<!-- Generated by javadoc (13) on Tue May 19 01:49:06 EEST 2020 -->
<title>IRestaurantProcessing</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-19">
<meta name="description" content="declaration: package: business_layer, interface: IRestaurantProcessing">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.js"></script>
</head>
<body class="class-declaration">
<script type="text/javascript">var data = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IRestaurantProcessing.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">business_layer</a></div>
<h1 title="Interface IRestaurantProcessing" class="title">Interface IRestaurantProcessing</h1>
</div>
<div class="contentContainer">
<section class="description">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><code><a href="Restaurant.html" title="class in business_layer">Restaurant</a></code></dd>
</dl>
<hr>
<pre>public interface <span class="typeNameLabel">IRestaurantProcessing</span></pre>
<div class="block">– in aceasta interfata sunt declarate metodele de adaugare, stergere si editare a numelui/pretului unui produs, de creare si stergere a unei comenzi, de calculare a pretului total al unei comenzi si de generare a facturii pentru o comanda;</div>
</section>
<section class="summary">
<ul class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<li class="blockList">
<section class="methodSummary"><a id="method.summary">
<!--   -->
</a>
<h2>Method Summary</h2>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t3" class="tableTab" onclick="show(4);">Abstract Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addNewMenuItem(business_layer.MenuItem)">addNewMenuItem</a></span>&#8203;(<a href="MenuItem.html" title="class in business_layer">MenuItem</a>&nbsp;menuItem)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>float</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#computePriceForOrder(business_layer.Order)">computePriceForOrder</a></span>&#8203;(<a href="Order.html" title="class in business_layer">Order</a>&nbsp;order)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createNewOrder(int,java.util.Date,int,java.util.List)">createNewOrder</a></span>&#8203;(int&nbsp;orderID,
java.util.Date&nbsp;date,
int&nbsp;table,
java.util.List&lt;<a href="MenuItem.html" title="class in business_layer">MenuItem</a>&gt;&nbsp;items)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#deleteMenuItem(int)">deleteMenuItem</a></span>&#8203;(int&nbsp;ID)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#deleteOrder(business_layer.Order)">deleteOrder</a></span>&#8203;(<a href="Order.html" title="class in business_layer">Order</a>&nbsp;order)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#editMenuItemName(int,java.lang.String)">editMenuItemName</a></span>&#8203;(int&nbsp;ID,
java.lang.String&nbsp;newName)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#editMenuItemPrice(int,float)">editMenuItemPrice</a></span>&#8203;(int&nbsp;ID,
float&nbsp;newPrice)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#generateBill(java.lang.String,business_layer.Order)">generateBill</a></span>&#8203;(java.lang.String&nbsp;fileName,
<a href="Order.html" title="class in business_layer">Order</a>&nbsp;order)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<li class="blockList">
<section class="methodDetails"><a id="method.detail">
<!--   -->
</a>
<h2>Method Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="addNewMenuItem(business_layer.MenuItem)">addNewMenuItem</a></h3>
<div class="memberSignature"><span class="returnType">void</span>&nbsp;<span class="memberName">addNewMenuItem</span>&#8203;(<span class="arguments"><a href="MenuItem.html" title="class in business_layer">MenuItem</a>&nbsp;menuItem)</span></div>
<dl>
<dt><span class="simpleTagLabel">Pre:</span></dt>
<dd>menuItem.getMenuItemID()>0 && menuItem.getMenuItemName()!=null &&
      menuItem.computePrice()!=0, </dd>
<dt><span class="simpleTagLabel">Post:</span></dt>
<dd>getMenu().size() == getMenu().size()@pre + 1</dd>
<dt><span class="simpleTagLabel">Param:</span></dt>
<dt><span class="simpleTagLabel">For All:</span></dt>
<dd>i : [0 .. getMenu().getSize()-1] @
      (getMenu().get(i).getMenuItemID()!=menuItem.getMenuItemID())</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="deleteMenuItem(int)">deleteMenuItem</a></h3>
<div class="memberSignature"><span class="returnType">void</span>&nbsp;<span class="memberName">deleteMenuItem</span>&#8203;(<span class="arguments">int&nbsp;ID)</span></div>
<dl>
<dt><span class="simpleTagLabel">Pre:</span></dt>
<dd>ID > 0, getMenu().size() > 0, </dd>
<dt><span class="simpleTagLabel">Post:</span></dt>
<dd>getMenu().size() == getMenu().size()@pre - 1</dd>
<dt><span class="simpleTagLabel">Param:</span></dt>
<dt><span class="simpleTagLabel">Exists:</span></dt>
<dd>i : [0 .. getMenu().size()-1] @ (getMenu().get(i).getMenuItemID() == ID)</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="editMenuItemName(int,java.lang.String)">editMenuItemName</a></h3>
<div class="memberSignature"><span class="returnType">void</span>&nbsp;<span class="memberName">editMenuItemName</span>&#8203;(<span class="arguments">int&nbsp;ID,
java.lang.String&nbsp;newName)</span></div>
<dl>
<dt><span class="simpleTagLabel">Pre:</span></dt>
<dd>ID > 0 && newName != null, getMenu().size() > 0, , </dd>
<dt><span class="simpleTagLabel">Post:</span></dt>
<dt><span class="simpleTagLabel">Param:</span></dt>
<dd>, </dd>
<dt><span class="simpleTagLabel">For All:</span></dt>
<dd>i : [0 .. getMenu().getSize()-1] @
      (!getMenu().get(i).getMenuItemName().equals(newName))</dd>
<dt><span class="simpleTagLabel">Exists:</span></dt>
<dd>i : [0 .. getMenu().size()-1] @ (getMenu().get(i).getMenuItemID() == ID), i : [0 .. getMenu().size()-1] @ (getMenu().get(i).getMenuItemID() ==
       ID) && (getMenu().get(i).getMenuItemName().equals(newName))</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="editMenuItemPrice(int,float)">editMenuItemPrice</a></h3>
<div class="memberSignature"><span class="returnType">void</span>&nbsp;<span class="memberName">editMenuItemPrice</span>&#8203;(<span class="arguments">int&nbsp;ID,
float&nbsp;newPrice)</span></div>
<dl>
<dt><span class="simpleTagLabel">Pre:</span></dt>
<dd>ID > 0 && newPrice > 0, , </dd>
<dt><span class="simpleTagLabel">Post:</span></dt>
<dt><span class="simpleTagLabel">Param:</span></dt>
<dd>, </dd>
<dt><span class="simpleTagLabel">For All:</span></dt>
<dd>i : [0 .. getMenu().getSize()-1] @
      (getMenu().get(i).getMenuItemPrice()!=newPrice)</dd>
<dt><span class="simpleTagLabel">Exists:</span></dt>
<dd>i : [0 .. getMenu().size()-1] @ (getMenu().get(i).getMenuItemID() == ID), i : [0 .. getMenu().size()-1] @ (getMenu().get(i).getMenuItemID() ==
       ID) && (getMenu().get(i).computePrice() == newPrice)</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="createNewOrder(int,java.util.Date,int,java.util.List)">createNewOrder</a></h3>
<div class="memberSignature"><span class="returnType">void</span>&nbsp;<span class="memberName">createNewOrder</span>&#8203;(<span class="arguments">int&nbsp;orderID,
java.util.Date&nbsp;date,
int&nbsp;table,
java.util.List&lt;<a href="MenuItem.html" title="class in business_layer">MenuItem</a>&gt;&nbsp;items)</span></div>
<dl>
<dt><span class="simpleTagLabel">Pre:</span></dt>
<dd>orderID > 0 && date != null && table > 0 && items != null, </dd>
<dt><span class="simpleTagLabel">Post:</span></dt>
<dd>getOrders().size() == getOrders().size()@pre + 1, getOrders().containsKey(new Order(orderID,date,table))</dd>
<dt><span class="simpleTagLabel">Param:</span></dt>
<dd>, , , </dd>
<dt><span class="simpleTagLabel">For All:</span></dt>
<dd>e : [getOrders().entrySet()] @ (e.getKey().getOrderID() !=
      orderID)</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="deleteOrder(business_layer.Order)">deleteOrder</a></h3>
<div class="memberSignature"><span class="returnType">void</span>&nbsp;<span class="memberName">deleteOrder</span>&#8203;(<span class="arguments"><a href="Order.html" title="class in business_layer">Order</a>&nbsp;order)</span></div>
<dl>
<dt><span class="simpleTagLabel">Pre:</span></dt>
<dd>getOrders().size() > 0, </dd>
<dt><span class="simpleTagLabel">Post:</span></dt>
<dd>getOrders().size() == getOrders().size()@pre - 1</dd>
<dt><span class="simpleTagLabel">Param:</span></dt>
<dt><span class="simpleTagLabel">Exists:</span></dt>
<dd>e : [getOrders().entrySet()] @ (e.getKey().getOrderID() == order.getOrderID)</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="computePriceForOrder(business_layer.Order)">computePriceForOrder</a></h3>
<div class="memberSignature"><span class="returnType">float</span>&nbsp;<span class="memberName">computePriceForOrder</span>&#8203;(<span class="arguments"><a href="Order.html" title="class in business_layer">Order</a>&nbsp;order)</span></div>
<dl>
<dt><span class="simpleTagLabel">Pre:</span></dt>
<dt><span class="simpleTagLabel">Post:</span></dt>
<dt><span class="simpleTagLabel">Param:</span></dt>
<dt><span class="simpleTagLabel">Exists:</span></dt>
<dd>e : [getOrders().entrySet()] @ (e.getKey().getOrderID() == order.getOrderID)</dd>
<dt><span class="simpleTagLabel">Result:</span></dt>
<dd>> 0</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="generateBill(java.lang.String,business_layer.Order)">generateBill</a></h3>
<div class="memberSignature"><span class="returnType">void</span>&nbsp;<span class="memberName">generateBill</span>&#8203;(<span class="arguments">java.lang.String&nbsp;fileName,
<a href="Order.html" title="class in business_layer">Order</a>&nbsp;order)</span></div>
<dl>
<dt><span class="simpleTagLabel">Pre:</span></dt>
<dd>fileName!=null && order.getOrderID() > 0, </dd>
<dt><span class="simpleTagLabel">Post:</span></dt>
<dt><span class="simpleTagLabel">Param:</span></dt>
<dd>, </dd>
<dt><span class="simpleTagLabel">Exists:</span></dt>
<dd>e : [getOrders().entrySet()] @ (e.getKey().getOrderID() == order.getOrderID)</dd>
<dt><span class="simpleTagLabel">No Change:</span></dt>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IRestaurantProcessing.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
